Class | Sequel::ADO::Dataset
In: | lib/sequel/adapters/ado.rb
Parent: | Sequel::Dataset

### Methods

fetch_rows provides_accurate_rows_matched?

### Public Instance methods

fetch_rows(sql) {|cols.inject({}){|m,c| m[c] = r.shift;| ...}

[Source]

        # File lib/sequel/adapters/ado.rb, line 89
    89:       def fetch_rows(sql)
    90:         execute(sql) do |s|
    91:           @columns = cols = s.Fields.extend(Enumerable).map{|column| output_identifier(column.Name)}
    92:           s.getRows.transpose.each{|r| yield cols.inject({}){|m,c| m[c] = r.shift; m}} unless s.eof
    93:         end
    94:       end

provides_accurate_rows_matched?()

ADO returns nil for all for delete and update statements.

[Source]

        # File lib/sequel/adapters/ado.rb, line 97
    97:       def provides_accurate_rows_matched?
    98:         false
    99:       end

[Validate]